Browse Source

Merge "Sync Sphinx requirement"

master
Zuul 1 week ago
parent
commit
25ad47732f
1 changed files with 2 additions and 1 deletions
  1. 2
    1
      doc/requirements.txt

+ 2
- 1
doc/requirements.txt View File

@@ -3,7 +3,8 @@
3 3
 # process, which may cause wedges in the gate later.
4 4
 
5 5
 # this is required for the docs build jobs
6
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
6
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
7
+sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
7 8
 openstackdocstheme>=1.18.1 # Apache-2.0
8 9
 reno>=2.5.0 # Apache-2.0
9 10
 sphinxmark>=0.1.14 # Apache-2.0

Loading…
Cancel
Save